<?php declare(strict_types=1);

use Amp\Socket\ConnectContext;
use danog\MadelineProto\API;
use danog\MadelineProto\DataCenterConnection;
use danog\MadelineProto\Logger;
use danog\MadelineProto\Magic;
use danog\MadelineProto\Settings;
use danog\MadelineProto\Settings\AppInfo;
use danog\MadelineProto\Stream\Common\BufferedRawStream;
use danog\MadelineProto\Stream\ConnectionContext;
use danog\MadelineProto\Stream\ContextIterator;
use danog\MadelineProto\Stream\MTProtoTransport\AbridgedStream;
use danog\MadelineProto\Stream\Transport\DefaultStream;
use danog\MadelineProto\Tools;

require 'vendor/autoload.php';

class a {

    public static function prepare(): void
    {
        Magic::start(false);
        Magic::$isIpcWorker = true;

        $appInfo = new AppInfo;
        $appInfo->setApiId((int) \getenv('API_ID'))->setApiHash(\getenv('API_HASH'));

        $settings = new Settings;
        $settings->setAppInfo($appInfo);
        $settings->getAuth()->setPfs(false);

        $settings->getLogger()->setType(Logger::ECHO_LOGGER);

        $API = new API('testing.madeline', $settings);
        /** @var MTProto */
        $MTProto = Tools::getVar($API, 'wrapper')->getAPI();

        $ctx = (new ConnectionContext)
            ->setDc(2)
            ->setCDN(false)
            ->setSocketContext(new ConnectContext)
            ->setUri('tcp://149.154.167.50:443')
            ->setIpv6(false)
            ->addStream(DefaultStream::class)
            ->addStream(BufferedRawStream::class)
            ->addStream(AbridgedStream::class);
        $connection = new DataCenterConnection;
        $connection->setExtra($MTProto, 2, new ContextIterator([$ctx]));
        $connection->connect();

        $connection->initAuthorization();

    }
}

a::prepare();